QuaCrc32 Class Reference

CRC32 checksum. More...

`#include <quazip/quacrc32.h>`

Inheritance diagram for QuaCrc32:
[legend]
Collaboration diagram for QuaCrc32:
[legend]

## Public Member Functions

quint32 | calculate (const QByteArray &data) override
| Calculates the checksum for data.
void | reset () override
| Resets the calculation on a checksun for a stream.
void | update (const QByteArray &buf) override
| Updates the calculated checksum for the stream.
quint32 | value () override
| Value of the checksum calculated for the stream passed throw update().

## Detailed Description

CRC32 checksum.

This class wrappers the crc32 function with the QuaChecksum32 interface. See QuaChecksum32 for more info.

## Member Function Documentation

## calculate()

quint32 QuaCrc32::calculate | ( | const QByteArray & | data | ) |

override virtual

Calculates the checksum for data.

data source data

Returns
  data checksum

This function has no efect on the value returned by value().

Implements QuaChecksum32.

## reset()

void QuaCrc32::reset | ( |  | ) |

override virtual

Resets the calculation on a checksun for a stream.

Implements QuaChecksum32.

## update()

void QuaCrc32::update | ( | const QByteArray & | buf | ) |

override virtual

Updates the calculated checksum for the stream.

buf next portion of data from the stream

Implements QuaChecksum32.

## value()

quint32 QuaCrc32::value | ( |  | ) |

override virtual

Value of the checksum calculated for the stream passed throw update().

Returns
  checksum

Implements QuaChecksum32.

The documentation for this class was generated from the following files:

- quazip/quacrc32.h
- quazip/quacrc32.cpp